
@import url('https://fonts.googleapis.com/css2?family=Lato');
* {
  margin: 0;
  padding: 0;
  font-family: 'Lato';
}

body{
  height: 100vh;
  /* background: linear-gradient(120deg, #ffe53bd8, #ff2525da); */
  display: flex;
  align-items: center;
  justify-content: center;
}
.m10{
  margin:10px;
}

.black{
  background-color: black;
  color: #ffff;
}

.white{
  background-color: #ffff;
  color: black;

}

.container {
  width: 100%;
  position: relative;
}
.left_bar {
  position: fixed;
  top:0;
}
.line{
  font-weight: 900;
  font-size: 1.25rem;
  line-height: 1.90rem;
  display: inline-flex;
  width: 100%;
  align-items: center;
  justify-content: center;
}
.txt{
  font-weight: 800;
  font-size: 1.10rem;
  line-height: 1.75rem;
  padding:10px;
  line-height: 60px;
}
.right_bar {
  position: fixed;
  top:0;
  right:0;
}
.clock{
  width: 100%;
  display:inline-flex ;
  align-items: center;
  justify-content: center;
  margin-top:30px ;
  background: transparent;
  border-radius: 3px;
  /* box-shadow: 0px 8px 10px rgba(0,0,0,.5); */

}

.white .clock .clock_item{
  padding:20px;
  margin: 6px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  box-shadow: 5px, 5px, 15px, rgba(0,0,0,.7);
  border-radius: 7px;
  letter-spacing: 3px;
  background-color: black;
  color: #ffff;
}

.black .clock .clock_item{
  padding:20px;
  margin: 6px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  box-shadow: 5px, 5px, 15px, rgba(0,0,0,.7);
  letter-spacing: 3px;
  font-size: 60px;
  color: black;
  background-color: #ffff;
}

.clock_item .big{
  font-size: 8rem;
}
.clock_item.big{
  border-radius: 20px!important;
}
.clock_item .middle{
  /* font-size: 100px; */
  font-size: 6rem;;

}
.clock_item.middle{
  border-radius: 14px!important;
}
  
.clock_item .small{
  font-size: 60px;

}
.clock_item.small{
  border-radius: 8px!important;
}

.clock span{
  font-weight: bolder;
  font-size: 60px;
}

.clock span.tempo{
  font-size: 10px;
}
.hidden{
  display: none!important;
}
.weather_panel{
  width: 100%;
  align-items: center;
  justify-content: center;
  margin-top: 20px;
  text-align: center;
}
.weather_line{
  width:100%;
  margin-top: 10px;
  display: inline-flex;
  align-items: center;
  justify-content: center;
}
.weather_date{
  width: 90px;
}
.weather_icon_day{
  width: 34px!important;
}
.weather_icon_night{
  width: 34px!important;
  
}
.weather_line .item{
  padding:10px;
  margin: 6px;
  text-align: left;
}
.weather_panel .location{
  width: 100%;
}
.weather_panel h3 {
  margin-bottom: 0;
}
.weather_panel .weather_icon {
  font-size: 50px;
}
.weather_panel .temperature {
  font-size: 24px;
}
 
.menu {
  position: fixed;
  top: 50px;
  right: 0;
  background-color: #3333338c;
  color: white;
  visibility: hidden;
  opacity: 0;
  transition: visibility 0s, opacity 0.5s linear;
}
 
.menu ul {
  margin: 2px;
  padding: 2px;
  list-style-type: none;
}
 
.menu li {
  padding: 8px;
  cursor: pointer;
  font-weight: 500;
  font-size: 1.05rem;
}
 
.menu li:hover {
  background-color: #555;
}
 

.black .toggle-button{
  font-weight: 800;
  font-size: 1.10rem;
  line-height: 1.75rem;
  position: absolute;
  top: 0;
  right: 0;
  padding: 10px;
  background-color: transparent;
  border: none;
  cursor: pointer;
  color:#fff

}
.white .toggle-button{
  font-weight: 800;
  font-size: 1.10rem;
  line-height: 1.75rem;
  position: absolute;
  top: 0;
  right: 0;
  padding: 10px;
  background-color: transparent;
  border: none;
  cursor: pointer;
  color:black;
}

.btn_click {
  visibility: visible;
  opacity: 1;
}


.popup {
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 10;
}
 
.popup-content {
  position: relative;
  background-color: #fff;
  color: #333;
  padding: 30px;
  border-radius: 5px;
  font-weight: 900;
  font-size: 1.25rem;
  line-height: 1.75rem;
  box-shadow: 0 2px 10px rgba(0, 0, 0, 0.2);
}
 
.close-btn {
  position: absolute;
  top: 5px;
  right: 5px;
  background: transparent;
  border: none;
  font-size: 14px;
  font-weight: 700;
  cursor: pointer;
  color: #333;
}